incubator-ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yusaku Sako (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-2268) Unit tests do not run on a clean npm install due to mocha 1.10.0 being installed
Date Tue, 04 Jun 2013 02:35:19 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-2268?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13673963#comment-13673963
] 

Yusaku Sako commented on AMBARI-2268:
-------------------------------------

After applying the patch, the following should work:
{code}
# npm install -g mocha-phantomjs phantomjs
# cd ambari-web
# rm -rf node_modules public
# npm install
# brunch build
# mocha-phantomjs public/test/test.html
{code}
                
> Unit tests do not run on a clean npm install due to mocha 1.10.0 being installed
> --------------------------------------------------------------------------------
>
>                 Key: AMBARI-2268
>                 URL: https://issues.apache.org/jira/browse/AMBARI-2268
>             Project: Ambari
>          Issue Type: Bug
>          Components: client
>    Affects Versions: 1.2.5
>            Reporter: Yusaku Sako
>            Assignee: Yusaku Sako
>             Fix For: 1.2.5
>
>         Attachments: AMBARI-2268.patch
>
>
> ambari-web/package.json does not specify a version for mocha.
> Currently, running "npm install" installs mocha 1.10.0.  However, this version of mocha
does not work with our set up and prevents unit tests from running.  We need to make sure
that mocha 1.9.0 is installed instead.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message